extends Node

var _connection

func _service_discovery():
    var iq := yield() as Xml.XmlElement
    print(iq.as_string())

func _ready():
    _connection = $Connections.establish_new_connection("poto.cafe", "veclavtalica", "-")
    if _connection == null:
        push_error("Connection failed")

    if _connection.push_iq(_connection.domain, "get",
            "<query xmlns='http://jabber.org/protocol/disco#items'/>",
            _service_discovery()) != OK:
        push_error("Connection failed")
